/* powerup.h - Header for powerup.c */

#ifndef PWR_H_INC
#define PWR_H_INC

#define HUNDRED 0
#define LIFE 1
#define MG 2
#define FIVE_MG 3
#define NUKE 4
#define SPIRAL 5
#define POWERUPS 6

#include <allegro.h>
#include "player.h"
#include "sound.h"

typedef struct powerup_s {
  fixed x, y;
  int type;
  int ttl;
  int ringrad;
  struct powerup_s *prev;
  struct powerup_s *next;
} powerup_t;

extern powerup_t *powerup_list;
extern powerup_t *last_powerup;

extern const int pwr_rad[POWERUPS];

void new_powerup(fixed x, fixed y, int type, int ttl);
void del_powerup(powerup_t *powerup);
void draw_powerups(BITMAP *canvas);
void update_powerups(void);
void spawn_powerup(int points);
void kill_powerups(void);

#endif
